<template>
    <div>
        <router-link to="/">Список товарів </router-link>
        <router-link to="/goods-receipt">Надходження товару  </router-link>
      <h2>Відправка товару</h2>
      <h3>All Goods</h3>
    <ul>
      <li v-for="(goodsItem, index) in $store.state.goods" :key="index">
        {{ goodsItem.name }} - Quantity: {{ goodsItem.quantity }}
      </li>
    </ul>
      <form @submit.prevent="issueGoods">
        <label>Product Name:
          <input v-model="productName" required>
        </label>
        <label>Quantity:
          <input type="number" v-model="quantity" required>
        </label>
        <button type="submit">Issue Goods</button>
      </form>
    </div>
  </template>
  
  <script>
  export default {
    data() {
      return {
        productName: '',
        quantity: 0
      };
    },
    methods: {
      issueGoods() {
        const goodsItem = {
          name: this.productName,
          quantity: parseInt(this.quantity, 10)  
        };
        
        const existingItem = this.$store.state.goods.find(item => item.name === goodsItem.name);
  
        if (existingItem) {
          
          existingItem.quantity = Math.max(0, existingItem.quantity - goodsItem.quantity);
        }
        alert('Було відправлено'+this.quantity)
        this.productName = '';
        this.quantity = 0;
      }
    }
  };
  </script>
  